<template>
  <i v-if="workspace?.icon" :class="`hero text-${workspace.color}-500 ${workspace?.icon} solid`"></i>
  <div v-else-if="workspace" class="px-1">
    <div
      :class="
        `rounded-full w-2 h-2 bg-${color ? color : workspace.color}${color ? '' : '-500'} transition duration-200`
      "
    ></div>
  </div>
</template>

<script>
import Workspace from "@/models/Workspace";

export default {
  props: {
    workspace: {
      required: false,
      type: Workspace
    },
    color: {
      default: "",
      type: String
    }
  }
};
</script>
